?

Log in

No account? Create an account
Linux Community's Journal
 
[Most Recent Entries] [Calendar View] [Friends View]

Monday, April 8th, 2002

Time Event
5:27p
Startup and shutdown scripts.
I have a perl package I wrote that starts a program, captures output and makes an html file from the output (per a template). Works fine.

I use this to run GIMPS, so I don't have to have an xterm up to actually check the output every once in a while.

Problem:
I wrote a way to start this (start the process >outputfile, change a couple of cron jobs to update the file every so often and so on) and a way to kill this (kill the process, remove the files, deedit the cronjobs and whatnot). All fine and dandy, but I need a place to call them.

I was calling them from 'autostart' and 'exitscript' from Windowmaker, but I'd rather stop doing that for the time being (I'm running Blackbox now and running something that isn't x dependant in a windowmaker just seems like horrible practice.

So what do I need?
I need a set of scripts (start and stop) that I can call my package from and that run before I'm in and after I'm out. I could probably do this in a runlevel or whatever, but I don't exactly know where.

Any help welcome.

Current Mood: okay
8:20p
My head is going to explode
I'm trying to install ImageMagick on a Red Hat 6.2 server and I'm going nuts solving all of these dependcy issues. I've managed to get freetype installed and that solved one of them but i'm still left with this one:

rpm -i ImageMagick-5.4.3-11.i386.rpm
error: failed dependencies:
libbz2.so.1 is needed by ImageMagick-5.4.3-11

I've got bzip2-1.0.0-1.i386.rpm which should solve that dependcy issue, the problem is when i try to install it I get this output:

rpm -i bzip2-1.0.0-1.i386.rpm
file /usr/bin/bzip2 from install of bzip2-1.0.0-1 conflicts with file from package bzip2-0.9.5d-2
file /usr/bin/bzip2recover from install of bzip2-1.0.0-1 conflicts with file from package bzip2-0.9.5d-2
file /usr/man/man1/bunzip2.1.gz from install of bzip2-1.0.0-1 conflicts with file from package bzip2-0.9.5d-2
file /usr/man/man1/bzcat.1.gz from install of bzip2-1.0.0-1 conflicts with file from package bzip2-0.9.5d-2
file /usr/man/man1/bzip2.1.gz from install of bzip2-1.0.0-1 conflicts with file from package bzip2-0.9.5d-2

I really don't know as much as I should and as the subject says my head is going to explode. Can anyone enlighten me as to why I'm getting this message? If you need anymore info please let me know.

<< Previous Day 2002/04/08
[Calendar]
Next Day >>
About LiveJournal.com